/* Testing named pipes */

#include <stdlib.h>
#include <stdio.h>

int main (int argc, char *argv[])
{
  FILE *f;
  char buffer[1024];

  if (argc != 2)  return -1;

  f = fopen (argv[1], "rb");
  if (f == NULL)  return -2;

  while (fgets (buffer, 1024, f) != NULL)
    printf (buffer);

  return 0;
}
